Bug 189995 - Yumex crashes on packages install.
Yumex crashes on packages install.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 11:06 EDT by Zdeněk Zikán
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 02:02:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdeněk Zikán 2006-04-26 11:06:56 EDT
Description of problem:
yumex crashes on installing some packages.
Perhaps, it can't handle some yum messages or errors properly.
Error message: Error checking package signatures. I had this problem with
packages iftop.i386 0-0.17-1.fc5, bmp-flac2.i386 0-007-2.fc5.

Version-Release number of selected component (if applicable):
Fedora Core 5
yum-2.6.0-1
yumex-0.99.17-1.0.fc5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Crashes.

Expected results:
Some info message and continue working?

Additional info:
Yumex crashed with this message:
Component: yumex
Version: 0.99.17
Summary: TB8943a90d yumexBase.py:692:download_packages:TypeError: cannot
concatenate 'str' and 'classobj' objects

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 128, in on_queueProcess_clicked
    if self.action.process_package_queue( pkgs, doAll):
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1053, in
process_package_queue
    if not self.process_packages():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1248, in
process_packages
    if not self.yumexbase.process_transaction():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 631, in
process_transaction
    self.download_packages()
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 692, in
download_packages
    errstring += err
TypeError: cannot concatenate 'str' and 'classobj' objects

Local variables in innermost frame:
err: yum.Errors.YumBaseError
self: <yumex.yumexBase.yumexBase object at 0xb791b5cc>
problems: {}
downloadpkgs: [<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xc473acc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb31e2fcc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1d4b92c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xc400d0c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb14f114c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb163198c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1b8a3ac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xc473c0c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1ce05ec>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb31d990c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1c3836c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb15bc0ec>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xbf79aac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1adc06c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1b4a7cc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xbf794cc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xc473fcc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1c38ecc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1611e0c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb16644cc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb15ea18c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1b822ac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1b8a4ec>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xc4735cc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb31136ec>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1b1704c>]
txmbr: bmp-flac2.i386 0-007-2.fc5 - u
errstring: Error checking package signatures:

po: bmp-flac2 - 007-2.fc5.i386


And another time with this one:

Component: yumex
Version: 0.99.17
Summary: TB8943a90d yumexBase.py:692:download_packages:TypeError: cannot
concatenate 'str' and 'classobj' objects

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 128, in on_queueProcess_clicked
    if self.action.process_package_queue( pkgs, doAll):
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1053, in
process_package_queue
    if not self.process_packages():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1248, in
process_packages
    if not self.yumexbase.process_transaction():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 631, in
process_transaction
    self.download_packages()
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 692, in
download_packages
    errstring += err
TypeError: cannot concatenate 'str' and 'classobj' objects

Local variables in innermost frame:
err: yum.Errors.YumBaseError
self: <yumex.yumexBase.yumexBase object at 0xb7a0560c>
problems: {}
downloadpkgs: [<yum.sqlitesack.YumAvailablePackageSqlite instance at
0xb1d3fb8c>, <yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1d4eeac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1d477ac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1c46aec>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1d3fe0c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xdd3464c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xdd712cc>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1b6bd8c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xe20cb4c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1b7f9ec>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xdd356ac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1c0948c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xdd357ec>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xe1f050c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1b9136c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xe301a2c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1bf4aac>]
txmbr: iftop.i386 0-0.17-1.fc5 - u
errstring: Error checking package signatures:

po: iftop - 0.17-1.fc5.i386
Comment 1 Tim Lauridsen 2006-04-27 03:02:58 EDT
Look like i have forgot to convert and yum error object into a string, before
making string operation, i will fix it.
Comment 2 Tim Lauridsen 2006-04-28 02:02:00 EDT
Fixed in next release.

Note You need to log in before you can comment on or make changes to this bug.